Bug 989447 - [webadmin] Disallow OK with too low amount of memory specified in VM Create Dialog
[webadmin] Disallow OK with too low amount of memory specified in VM Create D...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 05:41 EDT by Vinzenz Feenstra [evilissimo]
Modified: 2014-01-05 05:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-05 05:55:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinzenz Feenstra [evilissimo] 2013-07-29 05:41:16 EDT
Description of problem:
When creating a new VM and a too low (invalid?) amount of memory is specified, you're currently able to close the 'Create VM' dialog by clicking OK.

However afterwards you're getting an error that the amount of memory chosen is too low and it is not allowed.

This is, from a usability point of view, very bad as I might spend quite some time setting up all value in the dialog and then I will loose all the configuration I have set up because the input validation failed before the dialog closed.

Version-Release number of selected component (if applicable):
3.3

How reproducible:
Always reproducible

Steps to Reproduce:
1. Create a Virtual Machine with 64 MiB of RAM
2. Click OK

Actual results:
The Create VM dialog closes and an error popup dialog is shown. After clicking OK no dialog is visible and you have to start over entering all data into the dialog.

Expected results:
The validation of Create VM is blocked due to an invalid value for too low amount of memory.
Comment 1 Itamar Heim 2013-07-29 09:31:44 EDT
why not fix the minimal allowed value in config (or is it in OsInfo now)?
Comment 2 Roy Golan 2013-07-30 08:49:35 EDT
the ui takes the value from the template but its validated against the osinfo val.

This is a more general UX issue we should address. for a start we could flag
the return value with "validation failure" and make the UI leave the dialog open in that case
Comment 3 Itamar Heim 2014-01-05 05:55:49 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.